"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var PrometheusModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrometheusModule = void 0;
const health_1 = require("../../services/health");
const common_1 = require("@nestjs/common");
const prometheus_controller_1 = require("./prometheus.controller");
const prometheus_cron_1 = require("./prometheus.cron");
let PrometheusModule = PrometheusModule_1 = class PrometheusModule {
    static forRoot(healthIndicatorProviders, appName) {
        const indicatorTokens = healthIndicatorProviders.map((provider) => provider.provide);
        const healthServiceProvider = (0, health_1.createHealthServiceProvider)({ indicatorTokens, appName });
        return {
            module: PrometheusModule_1,
            controllers: [prometheus_controller_1.PrometheusController],
            providers: [healthServiceProvider, ...healthIndicatorProviders, prometheus_cron_1.PrometheusCron],
        };
    }
};
PrometheusModule = PrometheusModule_1 = __decorate([
    (0, common_1.Module)({})
], PrometheusModule);
exports.PrometheusModule = PrometheusModule;
//# sourceMappingURL=prometheus.module.js.map