import { IHealthService } from './health.interface';
import { IHealthIndicator } from './healthIndicator.interface';
export declare class HealthService implements IHealthService {
    private readonly indicators;
    readonly appName: string;
    constructor(indicators: IHealthIndicator[], appName: string);
    getHealthStatuses(): Promise<Array<{
        indicatorLabel: string;
        isHealthy: boolean;
    }>>;
}
//# sourceMappingURL=health.service.d.ts.map