"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.trackingRequeueExchangeConfig = exports.trackingExchangeConfig = exports.orderExchangeConfig = void 0;
const types_1 = require("./types");
exports.orderExchangeConfig = {
    name: types_1.RabbitMQExchange.Order,
    type: 'topic',
    createExchangeIfNotExists: true,
    options: {
        durable: true,
    },
};
exports.trackingExchangeConfig = {
    name: types_1.RabbitMQExchange.Tracking,
    type: 'topic',
    createExchangeIfNotExists: true,
    options: {
        durable: true,
    },
};
exports.trackingRequeueExchangeConfig = {
    name: types_1.RabbitMQExchange.TrackingRequeue,
    type: 'topic',
    createExchangeIfNotExists: true,
    options: {
        durable: true,
    },
};
//# sourceMappingURL=exchanges.js.map