export declare enum RabbitMQExchange {
    Order = "order",
    Tracking = "tracking",
    TrackingRequeue = "requeue"
}
export declare enum RabbitMQRoutingKey {
    Order = "order",
    OrderSave = "order-save",
    OrderTracking = "tracking",
    OrderUpdate = "status-update",
    OrderFailed = "order-failed",
    OrderSaveFailed = "order-save-failed",
    OrderCancel = "order-cancel",
    PrintLabel = "print-label",
    OrderStatusOutput = "output",
    OutputError = "output-error",
    GetById = "order-get-by-id"
}
export declare enum RabbitMQQueuesKeyWord {
    Order = "order",
    Tracking = "tracking",
    Output = "output"
}
export declare enum RabbitMQPattern {
    Order = "ORDER_SAVE",
    OrderSave = "ORDER_SAVE",
    OrderUpdate = "ORDER_UPDATE",
    OrderFailed = "ORDER_FAILED",
    OrderDelay = "ORDER_DELAY",
    OrderCancel = "ORDER_CANCEL",
    Output = "OUTPUT",
    OutputError = "OUTPUT_ERROR",
    Tracking = "TRACKING"
}
//# sourceMappingURL=types.d.ts.map