"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFluendProvider = void 0;
const fluentd_service_1 = require("./fluentd.service");
const createFluendProvider = ({ provideToken = fluentd_service_1.FluentdService, fluentdOptions, }) => ({
    provide: provideToken,
    useFactory: () => new fluentd_service_1.FluentdService(fluentdOptions),
    inject: [],
});
exports.createFluendProvider = createFluendProvider;
//# sourceMappingURL=fluentd.provider.js.map