"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHealthServiceProvider = void 0;
const health_service_1 = require("./health.service");
const createHealthServiceProvider = ({ provideToken = health_service_1.HealthService, indicatorTokens, appName, }) => ({
    provide: provideToken,
    useFactory: (...indicators) => new health_service_1.HealthService(indicators, appName),
    inject: [...indicatorTokens],
});
exports.createHealthServiceProvider = createHealthServiceProvider;
//# sourceMappingURL=health.provider.js.map