"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseToIntOrDefault = void 0;
const parseToIntOrDefault = (value, defaultValue) => {
    if (typeof value === 'undefined' || value === null)
        return defaultValue;
    const parsed = parseInt(value, 10);
    if (Number.isNaN(parsed))
        return defaultValue;
    return parsed;
};
exports.parseToIntOrDefault = parseToIntOrDefault;
//# sourceMappingURL=parse.utils.js.map